# AI大模型低代码工具

### Sample

#### test.js

```javascript
import {zhipu} from 'apigo.cc/ai'
import console from 'apigo.cc/gojs/console'

function main(...args) {
    let r = zhipu.fastAsk((args.length>0?args[0]:'你好', r => {
        console.print(r)
    })
    console.println()
    return r
}
```

### Configure

#### env.yml

```yaml
ai:
  openai:
    default:
      apiKey: ...
    aurze:
      apiKey: ...
      endpoint: ...
  zhipu:
    default:
      apiKey: ...
```

#### encrypt apiKey

install sskey

```shell
go install github.com/ssgo/tool/sskey@latest
sskey -e 'your apiKey'
```

copy url base64 format encrypted apiKey into ai.yml or env.yml


## 将 [ai](https://apigo.cc/ai) 和 [低代码](https://apigo.cc/gojs) 集成到应用

### Install

```shell
go get -u apigo.cc/gojs
go get -u apigo.cc/ai
```

### Usage

```go
package main

import (
	_ "apigo.cc/ai"
	_ "apigo.cc/ai/zhipu"
	"apigo.cc/gojs"
	_ "apigo.cc/gojs/console"
)

func main() {
    result, err := gojs.RunFile("test.js")
    if err != nil {
        fmt.Println(err.Error())
    } else if result != nil {
        fmt.Println(result)
    }
}
```
